package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.GtgsywPrintList;
import com.ruoyi.system.mapper.GtgsywPrintListMapper;
import com.ruoyi.system.service.GtgsywPrintListService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
*  @Author: Abeiv
*  @Description:
*  @Date: 2019-12-9 10:17
*/
@Service
public class GtgsywPrintListServiceImpl implements GtgsywPrintListService {

    @Resource
    private GtgsywPrintListMapper gtgsywPrintListMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return gtgsywPrintListMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(GtgsywPrintList record) {
        return gtgsywPrintListMapper.insert(record);
    }

    @Override
    public int insertSelective(GtgsywPrintList record) {
        return gtgsywPrintListMapper.insertSelective(record);
    }

    @Override
    public GtgsywPrintList selectByPrimaryKey(String id) {
        return gtgsywPrintListMapper.selectByPrimaryKey(id);
    }
    @Override
    public List<GtgsywPrintList> selectByCard(String jycard){
        return gtgsywPrintListMapper.selectByCard(jycard);
    }

    @Override
    public int updateByPrimaryKeySelective(GtgsywPrintList record) {
        return gtgsywPrintListMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(GtgsywPrintList record) {
        return gtgsywPrintListMapper.updateByPrimaryKey(record);
    }

    //分页查询
    @Override
    public List<GtgsywPrintList> selectAll(GtgsywPrintList gtgsywPrintList){
        return gtgsywPrintListMapper.selectAll(gtgsywPrintList);
    }
    /**
     * 删除
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteGtgsywByIds(String ids) {
        return gtgsywPrintListMapper.deleteGtgsywByIds(Convert.toStrArray(ids));
    }

    /**
     *
     * @param jycard
     * @param Bsid
     * @return
     */
    @Override
    public GtgsywPrintList selectByCB(String jycard, String Bsid){
        return  gtgsywPrintListMapper.selectByCB(jycard,Bsid);
    }

    /**
     * 查询 是否重复下载
     *
     * @param appNo
     * @return
     */
    @Override
    public String selectByAppNo(String appNo) {
        return gtgsywPrintListMapper.selectByAppNo(appNo);
    }
    //分页查询
    @Override
    public List<GtgsywPrintList> selectByIsPrint(GtgsywPrintList gtgsywPrintList){
        return gtgsywPrintListMapper.selectByIsPrint(gtgsywPrintList);
    }
}
